Bug 1401630 - Incremental update results in "undefined method description=" for ContentViewVersion
Summary: Incremental update results in "undefined method description=" for ContentView...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: John Mitsch
URL:
Whiteboard:
Depends On:
Blocks: 1392063
TreeView+ depends on / blocked
 
Reported: 2016-12-05 18:21 UTC by Andrew Kofink
Modified: 2019-08-12 14:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17584 0 None None None 2016-12-05 18:22:01 UTC

Description Andrew Kofink 2016-12-05 18:21:24 UTC
Description of problem:
Incremental update of a content view version results in "undefined method description=" for ContentViewVersion


Version-Release number of selected component (if applicable):
Upstream master

How reproducible:
Always

Steps to Reproduce:
1. Apply an incremental update
`hammer -vd content-view version incremental-update --content-view-version-id 13 --resolve-dependencies yes --errata-ids RHEA-2016:2832`

Actual results:
undefined method `description=' for <Katello::ContentViewVersion:0x007f0d6a8d7c18>

Expected results:
The incremental update completes successfully

Additional info:
Found upstream

Comment 1 Andrew Kofink 2016-12-05 18:22:00 UTC
Created redmine issue http://projects.theforeman.org/issues/17584 from this bug

Comment 2 Bryan Kearney 2016-12-05 19:07:21 UTC
Upstream bug component is Content Management

Comment 4 Bryan Kearney 2016-12-11 17:07:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17584 has been resolved.

Comment 5 John Mitsch 2017-08-09 14:18:42 UTC
Verified in 6.3 snap 9
Successfully was able to perform an incremental update on a content view with hammer using
hammer -vd content-view version incremental-update --content-view-version-id 3 --resolve-dependencies yes --errata-ids RHEA-2012:0003

Comment 6 pm-sat@redhat.com 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.